org.apache.uima.fit.factory.locator

## Class JndiResourceLocator

- java.lang.Object
- - org.apache.uima.resource.Resource_ImplBase
  - - org.apache.uima.fit.component.Resource_ImplBase
    - - org.apache.uima.fit.factory.locator.JndiResourceLocator

- All Implemented Interfaces:
    ExternalResourceAware, ExternalResourceLocator, org.apache.uima.resource.Resource

      public class JndiResourceLocator
      extends Resource_ImplBase
      implements ExternalResourceLocator

  Locate an object via JNDI.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PARAM_NAME` The name of the JNDI resource to look up.

    - ### Fields inherited from interface org.apache.uima.resource.Resource

      `PARAM_AGGREGATE_SOFA_MAPPINGS, PARAM_CONFIG_MANAGER, PARAM_CONFIG_PARAM_SETTINGS, PARAM_EXTERNAL_OVERRIDE_SETTINGS, PARAM_PERFORMANCE_TUNING_SETTINGS, PARAM_RESOURCE_MANAGER, PARAM_UIMA_CONTEXT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JndiResourceLocator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getResource()`
    `boolean` | `initialize(org.apache.uima.resource.ResourceSpecifier aSpecifier, Map aAdditionalParams)`

    - ### Methods inherited from class org.apache.uima.fit.component.Resource_ImplBase

      `afterResourcesInitialized, getLogger, getResourceName`

    - ### Methods inherited from class org.apache.uima.resource.Resource_ImplBase

      `destroy, getCasManager, getMetaData, getRelativePathResolver, getResourceManager, getUimaContext, getUimaContextAdmin, setLogger, setMetaData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.resource.Resource

      `destroy, getLogger, getMetaData, getResourceManager, getUimaContext, getUimaContextAdmin, setLogger`

- - ### Field Detail

    - #### PARAM_NAME

          public static final String PARAM_NAME

      The name of the JNDI resource to look up.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JndiResourceLocator

          public JndiResourceLocator()

  - ### Method Detail

    - #### initialize

          public boolean initialize(org.apache.uima.resource.ResourceSpecifier aSpecifier,
                                    Map aAdditionalParams)
                             throws org.apache.uima.resource.ResourceInitializationException

      Specified by:
        `initialize` in interface `org.apache.uima.resource.Resource`
      Overrides:
        `initialize` in class `Resource_ImplBase`
      Throws:
        `org.apache.uima.resource.ResourceInitializationException`

    - #### getResource

          public Object getResource()

      Specified by:
        `getResource` in interface `ExternalResourceLocator`
      Returns:
        the resource

Copyright © 2012–2020 The Apache Software Foundation. All rights reserved.